Zum Inhalt springen
meniodevelopermenio DashboardVorschau

POST sortiments/{qnipsSortimentId}/group} · POS API

POST sortiments/{qnipsSortimentId}/group}

POS API v3sortiments
POST/sortiments/{qnipsSortimentId}/group/{Id}

Parameter

qnipsSortimentIdstringErforderlich

this is the qnipsSortimentId' returned by the call to GET sortiments?thirdPartySortimentIdentifier={string1}&name={string2}`.

Beispiel: 'sortiment123'

Request-Header

DevKey
{Your Key}
TrackingUnitId
{trackingUnitId}
Originaler Blueprint-Ausschnitt
API Blueprint
### POST sortiments/{qnipsSortimentId}/group} [POST]
+ Parameters
    + qnipsSortimentId (string, `'sortiment123'`) ... this is the `qnipsSortimentId' returned by the call to `GET sortiments?thirdPartySortimentIdentifier={string1}&name={string2}`. 

+ Request

    + Headers

            DevKey: {Your Key}
            TrackingUnitId: {trackingUnitId}
    
    + Body

            {
               "Id": "123."
               "UpGroupId": "234",
               "Name":[
                    { "lang": "de-DE", "val": "Getränke" }
                    { "lang": "de-CH", "val": "Getränke" }
                    { "lang": "it-CH", "val": "Bevande" }
                    { "lang": "fr-UK", "val": "Boissons" }
                ]
            }

+ response 200

+ response 500

        // HTTP-InternalServerError: An unknown problem occurred during processing

+ response 403

        // HTTP-Forbidden: trackingUnitId is not yet activated by the merchant
            
+ Response 401

        // HTTP-Unauthorized: DevKey or trackingUnitId not specified or not available
            
+ response 400

        {
            "ErrorId":123,
            "ErrorText": "Details of the error"
        }
        
        // here all possible error codes incl. texts for this resource
        // 12001: qnips sortimentId unknown
        // 12002: Id field not set
        // 12003: No product group found under the specified UpGroupId
        // 12004: There is already a product group under the specified Id
        // 12005: Name was not specified, but is expected in at least one language